const path = require('path');

module.exports = {
  module: {
    rules: [
      {
        test: /\.jsx$/,
        exclude: /node_modules/,
        use: {
          loader: 'babel-loader',
          query: {
            plugins: ['babel-plugin-transform-runtime']
          }
        }
      },
      {
        test: /\.scss/,
        use: [{
          loader: "style-loader"
        },
        {
          loader: "css-loader", options: {
            sourceMap: true
          }
        },
        {
          loader: "sass-loader", options: {
            sourceMap: true,
            data: '@import "theme/resources-dark";',
            includePaths: [
              path.join(__dirname, '../src')
            ]
          }
        }],
        include: path.join(__dirname, '../src')
      },
      {
        test: /\.svg$/,
        loader: 'svg-url-loader'
      },
      {
        test: /\.(jpg|png|svg|gif)$/,
        loader: 'file-loader',
      },
    ]
  }
};
