import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { InputValidation } from './input-validation';
import '../../../theme/light.scss';

storiesOf('Form', module)
  .addDecorator(withKnobs)
  .add('InputValidation', () => (
    <IntlProvider locale="en">
      <div style={{ width: '500px' }}>
        <InputValidation
          addValid={boolean('addValid', false)}
          errorMessage={text('errorMessage', 'errorMessage')}
          loading={boolean('loading', false)}
          saved={boolean('saved', false)}
        />
      </div>
    </IntlProvider>
  ));
