import { Unless } from './unless';


describe('<Unless />', () => {
  let wrapper;

  describe('when condition is false', () => {
    const condition = false;

    test('should render children', () => {
      wrapper = shallow(<Unless condition={condition}><span>Should be rendered</span></Unless>);

      expect(wrapper).toMatchSnapshot();
    });

    test('should render children if condition is not boolean', () => {
      wrapper = shallow(<Unless condition={null}><span>Should be rendered</span></Unless>);

      expect(wrapper).toMatchSnapshot();
    });

    test('should render children if children is func', () => {
      wrapper = shallow(<Unless condition={condition}>{() => <span>Should be rendered</span>}</Unless>);

      expect(wrapper).toMatchSnapshot();
    });
  });
  describe('when condition is true', () => {
    const condition = true;

    test('should skip children rendering', () => {
      wrapper = shallow(<Unless condition={condition}><span>Should not be rendered</span></Unless>);

      expect(wrapper).toMatchSnapshot();
    });
  });
});
