import React from 'react';
import PropType from 'prop-types';

export const IconVpPulse = ({ width, height }) => (
  <svg viewBox="0 0 48 48" width={width} height={height}>
    <g fill="none" fillRule="evenodd">
      <circle cx={24} cy={24} r={24} fill="#E91E63" fillOpacity={0.12} />
      <circle cx={24} cy={24} r={20} fill="#E91E63" fillOpacity={0.12} />
      <path
        fill="#9C27B0"
        d="M40 24c0-8.837-7.163-16-16-16S8 15.163 8 24s7.163 16 16 16 16-7.163 16-16"
      />
      <path
        fill="#FFF"
        d="M22 23.5h3.75c1.24 0 2.25-1.01 2.25-2.25S26.99 19 25.75 19H22v4.5zm0 9h-3V16h6.75A5.256 5.256 0 0 1 31 21.25a5.256 5.256 0 0 1-5.25 5.25H22v6z"
      />
      <g transform="translate(8 8)">
        <circle cx={16} cy={16} r={16} fill="#E91E63" />
        <path
          fill="#FFF"
          d="M18.29 6L9 17.27l.341.481h5.128l-2.69 7.744.716.265 10.502-11.27-.328-.495h-5.185l1.546-7.779z"
        />
      </g>
    </g>
  </svg>
);


IconVpPulse.propTypes = {
  width: PropType.number,
  height: PropType.number,
};

IconVpPulse.defaultProps = {
  width: 48,
  height: 48,
};
