import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { ModalWindowUI } from './modal-window';
import '../../theme/light.scss';

storiesOf('Modal', module)
  .addDecorator(withKnobs)
  .add('ModalWindowUI', () => (
    <ModalWindowUI
      id="id"
      isOpen={boolean('isOpen', true)}
      isCentered={boolean('isCentered', true)}
      isFullScreenSm={boolean('isFullScreenSm', false)}
      fade={boolean('fade', true)}
    >
      {text('Text', 'Children content')}
    </ModalWindowUI>
  ));
