import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { withKnobs, text, boolean } from '@storybook/addon-knobs';
import { BuyWithCard } from './buy-with-card';
import '../../../theme/dark.scss';

const styles = {
  width: '465px',
  padding: '40px 40px 48px 40px',
  margin: 'auto',
  border: 'solid 1px rgba(0, 0, 0, 0.04)',
  borderRadius: '6px',
};

const props = {
  usdFraction: 2,
  scrFraction: 3,
  onScrChange: () => {},
  onUsdChange: () => {},
  onBackClick: () => {},
};

storiesOf('Refill balance', module)
  .addDecorator(withKnobs)
  .add('BuyWithCard', () => (
    <IntlProvider locale="en">
      <div style={{ ...styles }}>
        <BuyWithCard
          {...props}
          usdValue={text('usdValue', '1')}
          scrValue={text('scrValue', '120')}
          isLoading={boolean('isLoading', false)}
          ethAddress={text('ethAddress', 'dflafLJ:ADj;alsdj2312')}
          usdErrorMsg={text('usdErrorMsg', '')}
          scrErrorMsg={text('scrErrorMsg', '')}
          isUsdLoading={boolean('isUsdLoading', false)}
          isScrLoading={boolean('isScrLoading', false)}
        />
      </div>
    </IntlProvider>));
