import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { ChoosePayment } from './choose-payment';
import '../../../theme/light.scss';

const styles = {
  width: '465px',
  padding: '40px 40px 48px 40px',
  margin: 'auto',
  border: 'solid 1px rgba(0, 0, 0, 0.04)',
  borderRadius: '6px',
};

const props = {
  onEthClick: () => {},
  onFiatClick: () => {},
};

storiesOf('Refill balance', module)
  .add('ChoosePayment', () => (
    <IntlProvider locale="en">
      <div style={{ ...styles }}>
        <ChoosePayment {...props} />
      </div>
    </IntlProvider>));
