import React from 'react';

import { ChoosePayment } from './choose-payment';
import { diveFormattedMessages } from '../../../test/unit/helpers/dive-formatted-messages';

const props = {
  onEthClick: jest.fn(),
  onFiatClick: jest.fn(),
};

describe('<ChoosePayment />', () => {
  const wrapper = shallow(<ChoosePayment {...props} />);

  test('should match snapshot', () => {
    expect(wrapper).toMatchSnapshot();
    expect(diveFormattedMessages(wrapper)).toMatchSnapshot();
  });

  test('click on the first method should trigger `onEthClick` prop', () => {
    wrapper.find('.step').first().simulate('click');
    expect(props.onEthClick).toHaveBeenCalledTimes(1);
  });

  test('click on the second method should trigger `onFiatClick` prop', () => {
    wrapper.find('.step').last().simulate('click');
    expect(props.onFiatClick).toHaveBeenCalledTimes(1);
  });
});
