import React from 'react';
import { IntlProvider } from 'react-intl';
import { storiesOf } from '@storybook/react';
import { ServicesMenu } from './services-menu';
import { IconBlockExplorerService } from '../icons/icon-block-explorer-service/icon-block-explorer-service';
import { IconBlogService } from '../icons/icon-blog-service/icon-blog-service';
import { IconBetService } from '../icons/icon-bet-service/icon-bet-service';
import { IconWalletService } from '../icons/icon-wallet-service/icon-wallet-service';
import '../../theme/light.scss';

const serviceItems = [
  {
    link: 'link',
    message: 'Scorum Blog',
    icon: <IconBlogService />,
  },
  {
    link: 'link',
    message: 'Betting Exchange',
    icon: <IconBetService />,
  },
  {
    link: 'link',
    message: 'Wallet',
    icon: <IconWalletService />,
  },
  {
    link: 'link',
    message: 'Block Explorer',
    icon: <IconBlockExplorerService />,
  },
];

storiesOf('ServicesMenu', module)
  .add('ServicesMenu', () => (
    <IntlProvider locale="en">
      <div style={{ width: '210px' }}>
        <ServicesMenu
          serviceItems={serviceItems}
          hostname="hostname"
        />
      </div>
    </IntlProvider>));
