import React from 'react';
import { ServicesMenu } from './services-menu';
import { testURL } from '../../../jest.config';

describe('<ServicesMenu />', () => {
  let wrapper;
  const hostname = testURL;

  beforeAll(() => {
    wrapper = shallow(<ServicesMenu hostname={hostname} serviceItems={[]} />);
  });

  test('should match snapshot', () => {
    expect(wrapper).toMatchSnapshot();
  });

  describe('popover', () => {
    test('should toggle popover menu with ga action', () => {
      wrapper.instance().toggleMenu();
      expect(wrapper.state().menuOpen).toBe(true);
    });

    test('should toggle popover menu', () => {
      wrapper.instance().toggleMenu();
      expect(wrapper.state().menuOpen).toBe(false);
    });
  });
});
