import { is, when, call } from 'ramda';

export const callIfFunc = when(is(Function), call);

/**
 * Checks whether the passed string is valid json
 *
 * @param jsonStr
 * @param errorHandler
 * @returns {boolean}
 */
export const isValidJsonString = (jsonStr, errorHandler = null) => {
  try {
    JSON.parse(jsonStr);
  } catch (e) {
    when(is(Function), f => f(e))(errorHandler);
    return false;
  }

  return true;
};
