import { callIfFunc, isValidJsonString } from './utils';

describe('Utils helper', () => {
  describe('#callIfFunc', () => {
    test('should call if func', () => {
      const func = () => 'test';

      expect(callIfFunc(func)).toBe('test');
    });

    test('should not be call if no func', () => {
      const str = 'test';

      expect(callIfFunc(str)).toBe(str);
    });
  });

  describe('#isValidJsonString', () => {
    describe('when JSON string is valid', () => {
      const testJson = '{}';

      test('should return TRUE', () => {
        expect(isValidJsonString(testJson)).toBe(true);
      });
    });

    describe('when JSON string is NOT valid', () => {
      const testJson = '';

      test('should return FALSE', () => {
        expect(isValidJsonString(testJson)).toBe(false);
      });

      test('should call `errorHandler` func if it\'s passed as second param', () => {
        const testErrorHandlerMock = jest.fn();
        const testErrorHandlerMockWrapper = (...args) => testErrorHandlerMock(...args);
        isValidJsonString(testJson, testErrorHandlerMockWrapper);

        expect(testErrorHandlerMock).toHaveBeenCalled();
      });
    });
  });
});
